Subject: Re: 11-16-05 2.6.14 on AMCC Yosemite boar d(PCI-IDE card boot error)

From: David Hawkins <[email-masked]>
Date: Wed, 13 Sep 2006 17:44:54 -0700

Stephen Yee wrote:
> Hi All,
> 
> I have tested and debuged the ELDK's kernel 2.6.14 with PDC20269 PCI-IDE
> card, the system paniced when it run the 'ide_pci_setup_ports' funcation
> [drivers/ide/setup_pci.c], the attached files included the entry log
> messages, and ksysoops messages when the kernel paniced, and my kernel
> configuration file and BDI2000 configuration file.
> 
> would you please give some advice about this issue?

When I was testing this board, I received a machine check
in earlier kernels due to;

  The kernel header for the Yosemite board has an error that
  incorrectly sets the base address for PCI I/O space. The define
  for the 36-bit PCI I/O base address in the file
  arch/ppc/platforms/4xx/yosemite.h needs to be set to

#define YOSEMITE_PCI_IO_BASE 0x00000000e8000000ULL

Check your kernel source, perhaps that is the issue.

Stephan at Denx found and fixed this a while back (over 6 months
ago). So when in doubt, use the latest-and-greatest kernel, eg.,
use git and access the Denx repo.

Dave